--[[ wlan test ]]--

function PluginFunc(editor, editctrl)
  Wlan.init()
  Wlan.useConnectionConfig(0)
  local socket, error = Socket.connect("212.227.39.202", 80)
  local Yellow = Color.new(255, 255, 0)

  while not socket:isConnected() do
    Pad:Update()
    editor:Draw()
    screen:print(120, 132, "Cross button to quit receiving", Yellow)
    editor:Flip()
    if Pad.tRd then break end
  end

  if not Pad.tRd then
    local NewBuffer = editor:New()
    socket:send("GET /wlan-test.txt HTTP/1.0\r\n")
    socket:send("host: www.luaplayer.org\r\n\r\n")
    while not Pad.tRd do
      Pad:Update()

      local buffer = socket:recv()
      if string.len(buffer) > 0 then
        NewBuffer:InsertString(buffer)
      end

      -- go to last line
      NewBuffer.CurLine = table.getn(NewBuffer.Buffer)

      editor:Draw()
      screen:print(120, 132, "Cross button to quit receiving", Yellow)
      editor:Flip()
    end
  end
  Wlan.term()
end